Sixth update-pack for Manjaro 0.8.7 available!

system_software_updateAfter some struggling with upstream I’m happy to announce our sixth Update-Pack for Manjaro 0.8.7-series. This time it is again bigger as I want it to be.

So what changed?

Guillaume updated pamac to 0.9-series with followed changes:

The dbus daemon is back to perform transactions so GUI is launched as normal user, that fixed some bugs which came with pamac 0.8. Pamac-install should also works fine now from file managers and cli accepts again relative paths. pamac-0.8I added a close button in pamac-updater and the apply button is unclikable when no updates are available. Pamac-tray high cpu usage bug should be completely fixed. I also improve the kernel modules check so now pamac should acts as mhwd-kernel.

Octopi is shortly before 0.3-series. Arnt added new features and fixed lots of bugs. With this update we ship his current release candidate for this series.

Gnome 3.10 and GTK 3.10 created some struggle for us. Manjaro-Adwaita-Light is now the default theme due this matter. I didn’t find a proper solution for our dark theme yet. Additionally I updated greenbird and other themes.

All kernels got updated to the latest point-releases. Also extramodules got rebuilt since I updated our config files with optimations to get Manjaro faster and even more smoother than before.

ZFS/SPL was removed from all kernels now. We have extramodules precompiled. Also it is possible to use dkms for this matter. Report any issues due this change.

With this release we updated our kernels once again.

Current supported kernels:

  • Linux34 3.4.66 – our default kernel series for Manjaro 0.8.7
  • Linux38 3.8.13.11 – stable extended support kernel maintained by Canonical
  • Linux310 3.10.17 – it gets better with each update …
  • Linux311 3.11.6 – current stable release by Linus. AMD users should check out the new power support

Key-Updates:

  • gcc 4.8.2
  • mesa 9.2.2
  • libreoffice 4.1.2
  • calligra 2.7.4
  • gnome 3.10.1
  • cinnamon 2.0.2

Changes in Detail:

  • community i686: 235 new and 257 removed package(s)
  • community x86_64: 233 new and 255 removed package(s)
  • core i686: 41 new and 41 removed package(s)
  • core x86_64: 41 new and 41 removed package(s)
  • extra i686: 639 new and 624 removed package(s)
  • extra x86_64: 634 new and 619 removed package(s)
  • multilib x86_64: 36 new and 36 removed package(s)

Update instructions:

Update your system as usual with pamac, octopi or pacman:

sudo pacman -Syu

Notice: You might have to wait until your mirror has synced.
Please check: http://repo.manjaro.org

Talk about this Update:

You can talk about this update-pack in our forums.


Tip: KDE 4.11 includes a reworked OpenGL 2 compositor. OpenGL 3.1 got introduced. By default OpenGL 2 with the fallback to OpenGL 1 is used. If the hardware doesn’t support OpenGL 3.1 it automatically falls back to OpenGL 2 or OpenGL 1. When running kwin_gles KDE defaults to OpenGL ES 3.0 if present otherwise OpenGL ES 2.0 is used. Catalyst Legacy seems to have issues with this change. Here is a workaround to get it working:

#!/bin/bash
export $(dbus-launch)
export KWIN_DIRECT_GL=1
export KWIN_COMPOSE=O2
kwin --replace &

Save it as a script and place it into your ~/.config/autostart dir. It is also possible to disable compositing till upstream fixes the bug.